Package org.gradle.api

# Interface ProjectState

public interface ProjectState
`ProjectState` provides information about the execution state of a project.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getExecuted()`
  Returns true if this project has been evaluated.
  `@Nullable Throwable`
  `getFailure()`
  Returns the exception describing the project failure, if any.
  `void`
  `rethrowFailure()`
  Throws the project failure, if any.

- ## Method Details

  - ### getExecuted

    boolean getExecuted()

    Returns true if this project has been evaluated.

    Returns:
      true if this project has been evaluated.

  - ### getFailure

    @Nullable Throwable getFailure()
    Returns the exception describing the project failure, if any.
    Returns:
      The exception, or null if project evaluation did not fail.

  - ### rethrowFailure

    void rethrowFailure()
    Throws the project failure, if any. Does nothing if the project did not fail.